/***文档注释***********************************************
 * 作者            ：      易鑫
 * 创建日期     ：2018-02-6
 * 描述            ：试样号与合同信息关系表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.JhySampleROrdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_JHY_SAMPLE_R_ORD", namespace=JhySampleROrdMapper.class)
public class JhySampleROrd extends BaseVO implements Serializable {

	/** 试样号 */
	@Column("SMP_NO")
	private String smpNo;

	/** 炉号 */
	@Column("HEAT_NO")
	private String heatNo;

	/** 批号/检验号 */
	@Column("BATCH_NO")
	private String batchNo;

	

	/** 合同行号PK码 */
	@Column("CONTRACT_LINE_NO")
	private String contractLineNo;

	/** 认证机构代码 */
	@Column("CERT_INST_CODE")
	private String certInstCode;

	/** 认证机构名称 */
	@Column("CERT_INST_NAME")
	private String certInstName;

	/** 试样类型代码 */
	@Column("SMP_TYPE_CODE")
	private String smpTypeCode;

	/** 试样类型名称 */
	@Column("SMP_TYPE_NAME")
	private String smpTypeName;

	/** 是否可见(0:是-认证机构为检测中心默认为0，1:否，通过检测中心对申报结果确认后触发状态变更) */
	@Column("IS_VIEW")
	private String isview;

	/** 材质结果集ID（QCM_PHY_RESULT） */
	@Column("PIC_ID")
	private String picId;

	/** 判定结果 */
	@Column("JUDGE_RESULT")
	private String judgeResult;

	/** 判定人 */
	@Column("JUDGE_NAME")
	private String judgeName;

	/** 判定时间 */
	@Column("JUDGE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date judgeTime;

	/** 判定备注 */
	@Column("JUDGE_MEMO")
	private String judgeMemo;

	public String getSmpNo() {
		return this.smpNo;
	}

	public String getHeatNo() {
		return this.heatNo;
	}

	public String getBatchNo() {
		return this.batchNo;
	}

	

	public String getContractLineNo() {
		return this.contractLineNo;
	}

	public String getCertInstCode() {
		return this.certInstCode;
	}

	public String getCertInstName() {
		return this.certInstName;
	}

	public String getSmpTypeCode() {
		return this.smpTypeCode;
	}

	public String getSmpTypeName() {
		return this.smpTypeName;
	}

	public String getIsview() {
		return this.isview;
	}

	public String getPicId() {
		return this.picId;
	}

	public String getJudgeResult() {
		return this.judgeResult;
	}

	public String getJudgeName() {
		return this.judgeName;
	}

	public Date getJudgeTime() {
		return this.judgeTime;
	}

	public String getJudgeMemo() {
		return this.judgeMemo;
	}

	public void setSmpNo(String smpNo) {
		this.smpNo = smpNo;
	}

	public void setHeatNo(String heatNo) {
		this.heatNo = heatNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	

	public void setContractLineNo(String contractLineNo) {
		this.contractLineNo = contractLineNo;
	}

	public void setCertInstCode(String certInstCode) {
		this.certInstCode = certInstCode;
	}

	public void setCertInstName(String certInstName) {
		this.certInstName = certInstName;
	}

	public void setSmpTypeCode(String smpTypeCode) {
		this.smpTypeCode = smpTypeCode;
	}

	public void setSmpTypeName(String smpTypeName) {
		this.smpTypeName = smpTypeName;
	}

	public void setIsview(String isview) {
		this.isview = isview;
	}

	public void setPicId(String picId) {
		this.picId = picId;
	}

	public void setJudgeResult(String judgeResult) {
		this.judgeResult = judgeResult;
	}

	public void setJudgeName(String judgeName) {
		this.judgeName = judgeName;
	}

	public void setJudgeTime(Date judgeTime) {
		this.judgeTime = judgeTime;
	}

	public void setJudgeMemo(String judgeMemo) {
		this.judgeMemo = judgeMemo;
	}

}
